mod array;
mod loader;
mod rawtexture;

pub use array::TextureArray;
use serde::Deserialize;

#[derive(Debug, Clone, Copy)]
pub struct Texture {
	pub index: u32,  // Index in texture array
	pub aspect: f32, // width / height
}

#[derive(Deserialize)]
pub struct TextureArrayConfig {
	pub error: String,
	pub starfield: String,
}
